-- DBMS_ASSERT

create or replace procedure test_ora_name_valid

as

	asserted_string_ret	varchar2(61);

begin

	asserted_string_ret := dbms_assert.qualified_sql_name('EVEN_BIGGER_TABLE');
	dbms_output.put_line('Our name: '|| asserted_string_ret ||' was qualified.');

	-- Lets make an error
	asserted_string_ret := dbms_assert.qualified_sql_name('%EVEN_BIGGER_TABLE');

	exception
		when others then
			dbms_output.put_line('Our second name was not qualified.');

end test_ora_name_valid;
/

begin
	test_ora_name_valid;
end;
/

create or replace procedure test_ora_schema

as

	asserted_schema_ret	varchar2(30);

begin

	asserted_schema_ret := dbms_assert.schema_name('REDGATE');
	dbms_output.put_line('User: '|| asserted_schema_ret ||' does exist.');

end test_ora_schema;
/

begin
	test_ora_schema;
end;
/

create or replace procedure test_ora_obj_exist

as

	asserted_obj_name_ret	varchar2(61);

begin

	asserted_obj_name_ret := dbms_assert.sql_object_name('BIG_TABLE');
	dbms_output.put_line('Object: '|| asserted_obj_name_ret ||' exists.');

	-- Lets make an error
	asserted_obj_name_ret := dbms_assert.sql_object_name('EVEN_BIGGER_TABLE');

	exception
		when others then
			dbms_output.put_line('Our second object name does not exist.');

end test_ora_obj_exist;
/

begin
	test_ora_obj_exist;
end;
/
