create table raise_signal (
	r_id		number,
	r_num		number
);

create or replace trigger send_signal
	after insert
	on raise_signal
	for each row

declare

	signal_message	varchar2(500);

begin
	
	signal_message := 'Someone inserted a row with r_num value of: '|| :new.r_num;

	dbms_alert.signal('signal_name', signal_message);

end;
/

create or replace procedure wait_for_signal

as
	
	signal_message	varchar2(500);
	signal_stat	pls_integer;

begin

	dbms_alert.register('signal_name');
	dbms_alert.waitone('signal_name', signal_message, signal_stat);
	dbms_output.put_line(signal_message);

end wait_for_signal;
/

begin
	wait_for_signal;
end;
/

-- DO IN OTHER SESSION
insert into raise_signal values (1,42);
commit;