-- Show utl_inaddr functionality

-- RUN AS SYS
begin
	dbms_network_acl_admin.add_privilege (
		acl	 => 'db_ping.xml',
		principal	 => upper('REDGATE'),
		is_grant	 => true,
		privilege	 => 'connect'
	);
	commit;
	
	dbms_network_acl_admin.add_privilege (
		acl	 => 'db_ping.xml',
		principal	 => upper('REDGATE'),
		is_grant	 => true,
		privilege	 => 'resolve'
	);
	commit;

	dbms_network_acl_admin.assign_acl (
		acl          => 'db_ping.xml',
		host         => '*',
		lower_port	 => 1,
		upper_port	 => 32000
	);
	commit;
end;
/

create or replace procedure show_inaddr

as

	local_host_name		varchar2(512);
	local_ip		varchar2(512);

begin

	local_host_name := utl_inaddr.get_host_name('127.0.0.1');
	local_ip := utl_inaddr.get_host_address('MEG-PC');

	dbms_output.put_line('The ip-address 127.0.0.1 resolves to: ' || local_host_name);
	dbms_output.put_line('The hostname MEG-PC resolves to: ' || local_ip);

	local_host_name := utl_inaddr.get_host_name('94.146.52.229');
	local_ip := utl_inaddr.get_host_address('www.dbping.com');

	dbms_output.put_line('The ip-address 94.146.52.229 resolves to: ' || local_host_name);
	dbms_output.put_line('The hostname www.dbping.com resolves to: ' || local_ip);

end show_inaddr;
/

begin
	show_inaddr;
end;
/

-- RUN AS SYS
