-- Show a couple of nice things from the apex_util package

select apex_util.get_since(sysdate-0.45) from dual;

select apex_util.get_since(sysdate-2) from dual;

select apex_util.get_since(sysdate-2.45) from dual;

select apex_util.get_since(sysdate-2.55) from dual;

create or replace procedure p_check (
	username	varchar2,
	password	varchar2,
	old_password	varchar2,
	use_strong	boolean default true
)

as

	p_min		boolean;
	p_new_diff	boolean;
	p_one_alpha	boolean;
	p_one_numeric	boolean;
	p_one_punct	boolean;
	p_one_upper	boolean;
	p_one_lower	boolean;
	p_not_like_us	boolean;
	p_not_like_wks	boolean;
	p_not_words	boolean;
	p_not_reusable	boolean;

begin

	apex_util.strong_password_check(
		p_username => username
		, p_password => password
		, p_old_password => old_password
		, p_workspace_name => ''
		, p_use_strong_rules => use_strong
		, p_min_length_err => p_min
		, p_new_differs_by_err => p_new_diff
		, p_one_alpha_err => p_one_alpha
		, p_one_numeric_err => p_one_numeric
		, p_one_punctuation_err => p_one_punct
		, p_one_upper_err => p_one_upper
		, p_one_lower_err => p_one_lower
		, p_not_like_username_err => p_not_like_us
		, p_not_like_workspace_name_err => p_not_like_wks
		, p_not_like_words_err => p_not_words
		, p_not_reusable_err => p_not_reusable
	);

	if p_new_diff then
		dbms_output.put_line('hmm I think they are the same');
	end if;

	if p_one_numeric then
		dbms_output.put_line('hmm I think you should put a number in there');
	end if;
  
  if p_one_punct then
    dbms_output.put_line('hmm I think you should put a special character in there as well');
  end if;

end;
/

begin
	p_check('meg','manager','manager');
end;
/

